﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek THS700x (1 yr) DCV VER RS-232 /O_CAL
INSTRUMENT:            Sub Tek THS700x (1 yr) Sample Rate VER RS-232 /O_CAL
INSTRUMENT:            Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /O_CAL
INSTRUMENT:            Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /O_CAL
DATE:                  2014-07-14 14:38:05
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       240
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 8.2.3 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Reset the UUT and restore to factory setting.
  1.001  PORT         *CLS;*RST;:CLEARM;:HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek THS700x Select Channel RS-232

  1.003  JMPL         SAMPLE_RATE                  PSUBI("Sample")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER_SENS                 PSUBI("Trig Sens")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number


# =====  Sub Tek THS700x (1 yr) Sample Rate VER RS-232 /O_CAL  ===============

  2.001  LABEL        SAMPLE_RATE
  2.002  RSLT         =
  2.003  RSLT         =SAMPLE RATE AND DELAY TIME ACCURACY
  2.004  TARGET
  2.005  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  2.006  PORT         CH[V @Chan]:SCA 500E-3;*OPC?[I!]
  2.007  O_CAL        Mode = Marker; Channel = [V @CalChan]
  2.007  O_CAL        +Per = 10 ms
  2.008  WAIT         [D1000]
  2.009  PORT         TRIG:MAI SETL
  2.010  PORT         HOR:TRIG:POS 50
  2.011  PORT         HOR:FIT OFF
  2.011  PORT         HOR:DEL:MOD RUNSA;SCA 50E-3;TIM 10E-3;*OPC?[I!]
  2.012  PORT         HOR:SEC 500E-9;*OPC?[I!]
  2.013  MESS         Does the rising edge of the marker cross the center
  2.013  MESS         horizontal graticule line within ±4 divisions of
  2.013  MESS         center graticule?
  2.014  MEM2         = Limit : ±4 div @1 µs/div, 10 ms delay time
  2.015  EVAL   -s MEM2 :

  3.001  MESS
  3.002  HEAD
  3.003  O_CAL        Standby
  3.004  END

  3.005  EVAL   Increment step number

# =====  Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /O_CAL  =================

  4.001  LABEL        BANDWIDTH

  4.002  IF           @Chan == 1
  4.003  RSLT         =
  4.004  RSLT         =BANDWIDTH
  4.005  ENDIF

  4.006  RSLT         =
  4.007  RSLT         =Channel [V @Chan]
  4.008  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div
  4.009  TARGET
  4.010  PORT         ACQ:MOD SAM
  4.011  PORT         ACQ:NUMAV 16
  4.012  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  4.013  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  4.014  PORT         CH[V @Chan]:SCA 100E-3
  4.015  PORT         HOR:FIT OFF;MAIN:SCA 10E-6
  4.016  PORT         MEASU:METH MINM
  4.017  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2;STATE ON;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 600 mV.
  4.018  MATH         MEM = 600; MEM1 = MEM

  4.019  DO
  4.020  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.021  IF           MEM > 950 || MEM < 200
  4.022  MATH         MEM = 600
  4.023  ENDIF

  4.024  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  4.024  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 50 kHz
  4.025  WAIT         -t 6 UUT Setting...
  4.026  CALL         Sub Tek THS700x Scope Measure RS-232
  4.027  MATH         MEM = @SCOPE_Meas / 1E-3
  4.028  UNTIL        (MEM >= 597) && (MEM <= 603)

# Last calibrator amplitude setting is in MEM1.
  4.029  MATH         MEM = MEM1
  4.030  PORT         HOR:MAIN:SCA 10E-9;*OPC?[I!]

  4.031  IF           @Bandwidth == 100E+6
  4.032  PORT         HOR:SCA 10E-9;*OPC?[I!]
  4.033  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  4.033  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 100 MHz
  4.034  ELSEIF       @Bandwidth == 200E+6
  4.035  PORT         HOR:SCA 2E-9;*OPC?[I!]
  4.036  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  4.036  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 200 MHz
  4.037  ELSEIF       @Bandwidth == 60E+6
  4.038  PORT         HOR:SCA 1E-9;*OPC?[I!]
  4.039  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  4.039  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 60 MHz
  4.040  ENDIF

  4.041  WAIT         -t 6 System settling...
  4.042  CALL         Sub Tek THS700x Scope Measure RS-232
  4.043  MATH         MEM = @SCOPE_Meas / 1E-3; MEM = FMT(MEM, "%5.1f")
  4.044  EVAL   -e (MEM >= 425) : [MEM] mVpp @ [V @Frequency], 100 mv/div

  5.001  HEAD
  5.002  O_CAL        Standby
  5.003  END

  5.004  EVAL   Increment step number

# =====  Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /O_CAL  =================

  6.001  LABEL        TRIGGER_SENS

  6.002  IF           @Chan == 1
  6.003  RSLT         =
  6.004  RSLT         =EDGE TRIGGER SENSITIVITY
  6.005  ENDIF

  6.006  RSLT         =
  6.007  RSLT         =Channel [V @Chan]
  6.008  HEAD         TRIGGER SENSITIVITY (CH [V @Chan])
  6.009  HEAD         -2 RISING SLOPE
  6.010  TARGET
  6.011  PORT         ACQ:MOD SAM;NUMAV 16
  6.012  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];SLO RIS
  6.013  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  6.014  PORT         CH[V @Chan]:SCA 500E-3
  6.015  PORT         HOR:FIT OFF;MAIN:SCA 10E-9
  6.016  PORT         MEASU:METH MINM
  6.017  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP AMPL;STATE ON;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
  6.018  MATH         MEM = 500; MEM1 = MEM

  6.019  DO
  6.020  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.021  IF           MEM > 740 || MEM < 250
  6.022  MATH         MEM = 500
  6.023  ENDIF

  6.024  IF           @Bandwidth == 100E+6
  6.025  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  6.025  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 100 MHz
  6.026  ELSEIF       @Bandwidth == 200E+6
  6.027  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  6.027  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 200 MHz
  6.028  ELSEIF       @Bandwidth == 60E+6
  6.029  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  6.029  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 60 MHz
  6.030  ENDIF

# Store the calibrator output value.
  6.031  MATH         CalOutVal = MEM1
  6.032  WAIT         -t 3 UUT Setting...
  6.033  PORT         TRIG:MAI SETL;*OPC?[I!]
  6.034  CALL         Sub Tek THS700x Scope Measure RS-232
  6.035  MATH         MEM = @SCOPE_Meas / 1E-3
  6.036  UNTIL        (MEM >= 485) && (MEM <= 515)

  6.037  MATH         @PeakVal = MEM / 2
  6.038  CALL         Sub Tek THS700x Trigger Chk and Level Adj RS-232
  6.039  EVAL   -e @Trigged : Rising Slope, Stable Trigger

  7.001  HEAD         -2 FALLING SLOPE
  7.002  TARGET
# Set the UUT trigger at fall edge.
  7.003  PORT         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
# Restore the calibrator value.
  7.004  MATH         MEM = CalOutVal

  7.005  IF           @Bandwidth == 100E+6
  7.006  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  7.006  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 100 MHz
  7.007  ELSEIF       @Bandwidth == 200E+6
  7.008  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  7.008  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 200 MHz
  7.009  ELSEIF       @Bandwidth == 60E+6
  7.010  O_CAL        Mode = LevSine; Channel = [V @CalChan]
  7.010  O_CAL        +Voltage = [MEM] mVpp; @Frequency = 60 MHz
  7.011  ENDIF

  7.012  WAIT         [D3000]
  7.013  CALL         Sub Tek THS700x Scope Measure RS-232
  7.014  MATH         @PeakVal = @SCOPE_Meas / 2
  7.015  CALL         Sub Tek THS700x Trigger Chk and Level Adj RS-232
  7.016  EVAL   -e @Trigged : Falling Slope, Stable Trigger

  8.001  HEAD         -2
  8.002  HEAD
  8.003  O_CAL        Standby
  8.004  END
